Ir para o conteúdo
Documentação do Endless

Create canvas

POST
/canvases

Creates a canvas and returns the created row.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/canvases" \  -H "Content-Type: application/json" \  -d '{    "organization_id": "string",    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "owner_id": "string",  "organization_id": "string",  "name": "string",  "description": "string",  "emoji": "string",  "color": "string",  "thumbnail_url": "string",  "visibility": "private",  "workspace_role": "viewer",  "last_activity_at": "2019-08-24T14:15:22Z",  "dual_board_id": "string",  "deleted_at": "2019-08-24T14:15:22Z",  "deleted_by_id": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "shared": true,  "can_edit": true,  "can_delete": true}